# Class MaximalSegmentPair

java.lang.Object
jebl.evolution.align.Align
jebl.evolution.align.MaximalSegmentPair

public class MaximalSegmentPair extends Align

Version:
  $Id: MaximalSegmentPair.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Alexei Drummond

## Constructor Summary

Constructors
Constructor
Description
`MaximalSegmentPair(Scores sub)`

## Method Summary

Modifier and Type
Method
Description
`final void`
`doAlignment(String sq1, String sq2)`
Performs the alignment.
`float`
`getScore()`
`final Traceback`
`next(Traceback tb)`
Get the next state in the traceback
`void`
`prepareAlignment(String sq1, String sq2)`
Initialises the matrices for the alignment.
`void`
`printf(Output out)`
Print matrix used to calculate this alignment.

### Methods inherited from class Align

`doMatch, doMatch, formatScore, getMatch, setGapOpen, setScores, traceback`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaximalSegmentPair

public MaximalSegmentPair(Scores sub)

## Method Details

### doAlignment

public final void doAlignment(String sq1, String sq2)
Performs the alignment. Abstract.

Parameters:
  `sq1` -
  `sq2` -

### next

public final Traceback next(Traceback tb)
Get the next state in the traceback

Parameters:
  `tb` - current Traceback
Returns:
  next Traceback

### prepareAlignment

public void prepareAlignment(String sq1, String sq2)
Description copied from class: `Align`
Initialises the matrices for the alignment.

Specified by:
  `prepareAlignment` in class `Align`
Parameters:
  `sq1` -
  `sq2` -

### getScore

public float getScore()

Specified by:
  `getScore` in class `Align`
Returns:
  the score of the best alignment

### printf

public void printf(Output out)
Print matrix used to calculate this alignment.

Specified by:
  `printf` in class `Align`
Parameters:
  `out` - Output to print to.